Subject: [bug#33026] [PATCH] gnu: Add pdns.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 19 Oct 2018 10:35:32 +0200

Hello!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Ludovic Courtès wrote:
>> What about “powerdns” then?
>
> This patch originally added 'powerdns' (my preference), then I changed
> it :-)
> pdns is the far more common name in GNU/Linux land. The BSDs tend to
> go with powerdns.
>
> - pdns:	 Alpine, Debian, Fedora, Gentoo, brew, openSUSE, Slackware
> :-), and derivatives
> - power: Arch, *BSD, Nix :-), and derivatives
>
> The upstream tarball also uses the pdns- prefix.

Alright, go for “pdns” then!  Sorry for asking.  ;-)

>> Why not keep all the commands in the same output?  Is it to avoiding
>> cluttering user profiles, or is it a matter of package size?
>
> The former. Building them is not the upstream default, and I
> personally don't like them littering my profile (this is entirely
> subjective).
>
> On the other hand I don't think users should have to go so far as to
> customise the package to get to the tools, so this was the compromise.

OK, that makes sense to me.  Maybe add a comment to explain this.

>> A few questions:
>>
>>   • Are things under ext/ simply bundled libraries?  If so, do   you
>> think
>>     there’s something we could/should do about them?
>
> I'll take a closer look.
>
>>   • I suppose we don’t build and thus don’t care about the   license
>> of
>>     modules/oraclebackend, do we?  :-)
>
> Hm, is that how this works? Or is Oracle's DB non-free? I know nothing
> about Oracle, which might itself be the anwser to that question.

Oracle’s DB is non-free indeed (though Oracle also acquired MySQL, but
this isn’t usually referred to as “Oracle DB”.)

> If it is, shouldn't we remove the whole thing in a snippet unless the
> build system really hates that?

We could do that indeed!  Well the backend itself may be free, but it’s
useless without the non-free piece of software, so it makes sense to
remove it (as long as the build system allows it.)

>>   • The license of m4/* doesn’t matter for the combined work;   I’d
>> just
>>     remove it.
>
> OK. I'll never fully grasp these legal combinatorics.
>
>>   • GPLv2-only code cannot be combined with GPLv3+ code.  Is it
>> really
>>     what’s happening?
>
> Let's hope and assume not, then. Closer look.

OK, thanks!

Ludo’.